CREATE procedure [C6MartPeriodico].[GESTIONE_SELECT_PDF_GETDATATHREADS_CAMPIONE_onDemand_EN] (@volThreads int = 10000)
AS
BEGIN
		SET NOCOUNT ON;
		DECLARE @dtrim VARCHAR(8)
		set @dtrim = c6martperiodico.gettrimestre(getDate(),0) 
		SELECT * INTO #WSEIAN_1
		FROM
		(
		select codfis, rete, flagnqp, flgprlrde, FLAGPG, FLGPROF, dttrim, 1  as rank  
		from [C6StagingPeriodico].[WSEIAN]
		WHERE codman = '' and dttrim = @dtrim
		UNION ALL 
		select 'FF@'+ codman as codfis, rete, flagnqp, flgprlrde, FLAGPG, FLGPROF, dttrim, 1 as rank  
		from [C6StagingPeriodico].[WSEIAN]
		WHERE codman <> '' and dttrim = @dtrim
		)X
 	SELECT top(@volThreads)  Maledetti.[Rete],Maledetti.[NomeRete],Maledetti.[Agente],Maledetti.[CognomeAgente]
,Maledetti.[NomeAgente],Maledetti.[IndirizzoAgente]
,Maledetti.[CapAgente],Maledetti.[CittaAgente],Maledetti.[TelefonoAgente],Maledetti.[CodiceFiscale],Maledetti.[CognomeCliente]
,Maledetti.[NomeCliente]
,Maledetti.[ProfiloIsAct]
,Maledetti.[PatrimonioNonRappresentabile]
,Maledetti.[PartiteViaggiantiDisinv]
,Maledetti.[PartiteViaggiantiInv]
,Maledetti.[ContoCorrente]
,Maledetti.[PatrimonioBancaFideuramCtvAlNettoContoCorrente]
,Maledetti.[RisorseNonAssociate]
,Maledetti.[Patrimonioaltroctv]
,Maledetti.[Patrimonioimmobiliarectv]
,Maledetti.[PatrimonioTerzictv]
,Maledetti.[PatrimonioTerziCtvAlNettoContoCorrente]
,Maledetti.[PatrimonioTerziContoCorrente]
,Maledetti.[Patrimoniobancafideuramctv]
,Maledetti.[Patrimoniocomplessivototalectv]
,Maledetti.[NumeroIntermediari]
,Maledetti.[CodiceContratto]
,Maledetti.[tip_contratto]
,Maledetti.[contrattoold]
,Maledetti.[NoMonitoraggio]
,Maledetti.[descrizioneDiagnosi]
,Maledetti.[idModelloDiagnosi]
,Maledetti.[idReportDiagnosi]
,Maledetti.[descrizioneMonitoraggio]
,Maledetti.[idReportMonitoraggio]
,Maledetti.[idModelloMonitoraggio]
,Maledetti.[AdesioneSuccessivaAvanzato]
,Maledetti.[VaRRisorseNonAssociate]
,Maledetti.[CoperturaRisorseNonAssociate]
,Maledetti.[VaRTotaleRisorseFinanziarie]
,Maledetti.[CoperturaTotaleRisorseFinanziarie]
,isnull((SELECT max(idReport) FROM c6martperiodico.GESTIONE_PDF_FTP ftp where tipoReport = 'D' 
					AND ftp.codicefiscale = Maledetti.codicefiscale AND ftp.rete = Maledetti.Rete),0)  
			AS IdReportPDFDiagnosi   
			,isnull((SELECT max(idReport) FROM c6martperiodico.GESTIONE_PDF_FTP ftp where tipoReport = 'M' 
					AND ftp.codicefiscale = Maledetti.codicefiscale AND ftp.rete = Maledetti.Rete),0) 
			AS IdReportPDFMonitoraggio,
			CASE 
				WHEN wse.flagnqp IS NULL or wse.flagnqp ='' THEN 'N'
				ELSE wse.flagnqp
			END as 'flagnqp',
			--wse.flgprlrde as 'flagprlrde',
			CASE 
				WHEN wse.flgprlrde ='' THEN NULL
				ELSE wse.flgprlrde
			END as 'flagprlrde',
			CASE 
				WHEN wse.FLAGPG IS NULL THEN 0
				ELSE wse.FLAGPG
			END as 'flagpg',
			CASE 
				WHEN wse.FLGPROF IS NULL or wse.FLGPROF ='' THEN 'N'
				ELSE wse.FLGPROF
			END as 'FLGPROF'
			into #result
		FROM wh.Maledetti  Maledetti
			 left outer join #WSEIAN_1 wse 
			 on wse.codfis = Maledetti.CodICEFiscale and wse.rete = Maledetti.rete		
		WHERE 1=1 
		and rank=1 
		and codiceFiscale in (
'BZZDNL44P18G927I', --con /rend
		--'FRRFBA63P19D704L' -- sostituisce TC  TMSRRT59R13L967T
'TRNLRT63C18L826X', -- on page 16 black spot isn’t aligned on chart of chapter “Piani d'Accumulo”
--'TTVNNA39S64H935H',
'STTLNZ56R58L781G' --nota sovrascrive linea rosso, perchè spazio sotto tabella non disponibile
--------'02477630582' --suore problema con sezione Dettaglio Prodotti 
--, --suore: mancano progetti delle are Inv e Ris
--'GRSRRT58A28E379O',  --- PL_S85RendimentoPortafoglioCono Ris Default orizzonte_mesi=0
--'GSNMDL32E57I470S', --- PL_S85RendimentoPortafoglioCono Ris Default orizzonte_mesi=0, ma non monitorato
--'TMSRRT59R13L967T', --per nota spazio disponibile sotto tabella
--'CSLLFA49H25F004M',
--'MTTGLG26T01F205L'
--'MRTVNT41H17C740W',
--'DNDGNN63S43A246B'
		)
select * from #result
END